<?php

/*$mdocInfo
 Author: Hauke Goos-Habermann (HHabermann@pc-kiel.de)
 Description: Class for FreeIPA user management.
$*/

class CFreeIPAUser extends CFreeIPA
{





/**
**name CFreeIPAUser::addSchoolUser($login, $firstName, $lastName, $password, $ID, $role, $school, $class, $shell = '/bin/bash', $sshKey = '')
**description Creates a user (pupil, teacher or admin) with additional school attributes in FreeIPA.
**parameter login: Login name
**parameter firstName: Forename
**parameter lastName: Familyname
**parameter password: Password
**parameter ID: The ID of the pupil or teacher from the Schulverwaltungssoftware.
**parameter role: pupil, teacher, admin.
**parameter school: Name of the school.
**parameter class: Class of the pupil (teacher)
**parameter shell: Shell to use when logged in
**parameter sshPubKey: Public SSH key to allow passwordless login
**returns true, if the user was added successfully, otherwise (error) messages from the FreeIPA API.
**/
	public function addSchoolUser($login, $firstName, $lastName, $password, $ID, $role, $school, $class, $shell = '/bin/bash', $sshKey = '')
	{
		include("/m23/inc/i18n/".$GLOBALS["m23_language"]."/m23base.php");

// 		if (!CSchool::isSchoolRoleValid($role))
// 		{
// 			$this->addErrorMessage($I18N_schoolRoleInvalid);
// 			return(false);
// 		}

		$additionParams = '
		"employeenumber": "'.CFreeIPA::safeJSONString($ID).'",
		"employeetype": "'.CFreeIPA::safeJSONString($role).'",
		"title": "'.CFreeIPA::safeJSONString($role).'",
		"l": "'.CFreeIPA::safeJSONString($school).'",
		"street": "'.CFreeIPA::safeJSONString($class).'",
		';

		return($this->addUser($login, $firstName, $lastName, $password, $shell, $sshKey, $additionParams));
	}



	private function addChangeSchoolUser($firstName, $lastName, $password, $ID, $role, $school, $class)
	{
		// Try to find an existing user by the employee number
		$userInfo = $this->findUserByEmployeenumber($ID);

		if (empty($userInfo))
		{
			// User doesn't exist
			
		}
		else
		{
			// User exists
		}
	}



	public function parseCSV()
	{
	
		$ret = $this->findUserByEmployeenumber($en);
	

		
	
	}




}
?>